org.apache.ivy.ant

## Class AntBuildTrigger

- java.lang.Object
- - org.apache.ivy.plugins.trigger.AbstractTrigger
  - - org.apache.ivy.ant.AntBuildTrigger

All Implemented Interfaces:
  java.util.EventListener, IvyListener, Trigger

    public class AntBuildTrigger
    extends AbstractTrigger
    implements Trigger

Triggers an ant build on an event occurence.

Example of use:

     <ant-build-trigger event="pre-resolve-dependency"
                        filter="revision=latest.integration"
                        antfile="/path/to/[module]/build.xml"
                        target="compile"/>

Triggers an ant build for any dependency in asked in latest.integration, just before resolving the dependency.

The onlyonce property is used to tell if the ant build should be triggered only once, or several times in the same build.

Since:
  1.4
See Also:
  `AntCallTrigger`

### Constructor Summary

Constructors
Constructor and Description
`AntBuildTrigger()`

### Method Summary

Methods
`java.lang.String` `getBuildFilePattern()`
`java.lang.String` `getPrefix()`
`java.lang.String` `getTarget()`
`boolean` `isOnlyonce()`
`void` `progress(IvyEvent event)`
`void` `setAntfile(java.lang.String pattern)`
`void` `setOnlyonce(boolean onlyonce)`
`void` `setPrefix(java.lang.String prefix)`
`void` `setTarget(java.lang.String target)`

### Methods inherited from class org.apache.ivy.plugins.trigger.AbstractTrigger

`getEvent, getEventFilter, getFilter, getMatcher, setEvent, setFilter, setMatcher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ivy.plugins.trigger.Trigger

`getEventFilter`

### Constructor Detail

#### AntBuildTrigger

    public AntBuildTrigger()

### Method Detail

#### progress

    public void progress(IvyEvent event)

Specified by:
  `progress` in interface `IvyListener`

#### getBuildFilePattern

    public java.lang.String getBuildFilePattern()

#### setAntfile

    public void setAntfile(java.lang.String pattern)

#### getTarget

    public java.lang.String getTarget()

#### setTarget

    public void setTarget(java.lang.String target)

#### isOnlyonce

    public boolean isOnlyonce()

#### setOnlyonce

    public void setOnlyonce(boolean onlyonce)

#### getPrefix

    public java.lang.String getPrefix()

#### setPrefix

    public void setPrefix(java.lang.String prefix)